Download it now!
Bug 129227 - Poor performance in a Basic code
Summary: Poor performance in a Basic code
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: BASIC (show other bugs)
Version:
(earliest affected)
5.3.0.3 release
Hardware: All All
: medium normal
Assignee: Mike Kaganski
URL:
Whiteboard: target:6.5.0 target:6.4.0.1 target:6.3.5
Keywords: bibisected, bisected, perf, regression
Depends on:
Blocks:
 
Reported: 2019-12-06 10:01 UTC by Mike Kaganski
Modified: 2019-12-10 07:17 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
A macro takes much longer than in v.5.2 (22.95 KB, application/vnd.oasis.opendocument.spreadsheet)
2019-12-06 10:01 UTC, Mike Kaganski
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mike Kaganski 2019-12-06 10:01:58 UTC
Created attachment 156349 [details]
A macro takes much longer than in v.5.2

Attached file contains a macro that takes *much* longer in v.5.3 and later than it took in v.5.2 and before.

Open it (with macros enabled); and click on "Запустить (2)" button - the right one on the top row.

It will show the progress dialog; after a while, it will show a message box with elapsed seconds so far. And in v.5.2 and before, the message box is shown after ~4-6 s; in 5.3 and later, it takes more than 200 s on my system.

It is a regression after https://git.libreoffice.org/core/+/0761f97525b3f3ce2cd73f8db28bf389a3c44f57 - Noel: could you please take  a look?

Tested on Windows with current Version: 6.3.4.1 (x64)
Build ID: a21169d87339dfa44546f33d6d159e89881e9d92
CPU threads: 12; OS: Windows 10.0; UI render: GL; VCL: win; 
Locale: ru-RU (ru_RU); UI-Language: en-US
Calc: threaded

and Version: 6.5.0.0.alpha0+ (x64)
Build ID: 311041436a7dd539521f42fa349e259f6698fc8c
CPU threads: 12; OS: Windows 10.0 Build 18363; UI render: Skia/Raster; VCL: win; 
Locale: ru-RU (ru_RU); UI-Language: en-US
Calc: CL

(but the latter is debug build, so I am not quite sure what its long time means)
Comment 1 Mike Kaganski 2019-12-06 10:27:04 UTC
https://gerrit.libreoffice.org/84609
Comment 2 Commit Notification 2019-12-06 12:01:26 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/ffd319a7589e0e9fcb83681f7f1e7c26a383ae5d

tdf#129227: this was always appending, not prepending

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2019-12-09 09:47:51 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/87b421d25ef79e197d344e6bd515f1eadd06bfc9

tdf#129227: this was always appending, not prepending

It will be available in 6.4.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Xisco Faulí 2019-12-09 13:07:33 UTC
it takes 19 seconds in

Version: 6.5.0.0.alpha0+
Build ID: 46a07f2042a812fc552e26736183c7d06fe6aa35
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Mike, thanks for fixing this issue!
Comment 5 Commit Notification 2019-12-10 07:17:34 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/commit/bd0764d4d24f3a9f5fd279db888d12b55bd6b241

tdf#129227: this was always appending, not prepending

It will be available in 6.3.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.